libopenjpip-viewer_2.3.0-2build0.18.04.1_all.deb


Advertisement

Description

libopenjpip-viewer - JPEG 2000 java based viewer for advanced remote JPIP access

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename libopenjpip-viewer_2.3.0-2build0.18.04.1_all.deb
Package name libopenjpip-viewer
Package version 2.3.0
Package release 2build0.18.04.1
Package architecture all
Package type deb
Category universe/graphics
Homepage http://www.openjpeg.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 32.89 KB
Installed size 81.00 KB
Java based client to view remote JPEG 2000 using JPIP protocol.
This is a simple java viewer to allow:
- Scale up request: Enlarge the window
- ROI request: Select a region by mouse click and drag, then click inside the
red frame of the selected region
- Annotate image with ROI information in XML metadata: Click button "Region
Of Interest"
- Open a new window presenting an aligned image with a locally stored image:
Click button "Image Registration" (Under Construction)

Alternatives

Package Version Architecture Repository
libopenjpip-viewer_2.3.0-2build0.18.04.1_all.deb 2.3.0 all Ubuntu Updates Universe
libopenjpip-viewer_2.3.0-1_all.deb 2.3.0 all Ubuntu Universe
libopenjpip-viewer_2.3.0-1_all.deb 2.3.0 all Ubuntu Universe
libopenjpip-viewer - - -

Requires

Name Value
default-jre -
jarwrapper >= 0.5
java10-runtime -
java11-runtime -
java7-runtime -
java8-runtime -
java9-runtime -
libopenjpip-dec-server -
libxerces2-java -

Conflicts

Name Value
openjpip-viewer -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libopenjpip-viewer_2.3.0-2build0.18.04.1_all.deb
Source Package openjpeg2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libopenjpip-viewer deb package:
    # sudo apt-get install libopenjpip-viewer

Changelog

2019-08-20 - Eduardo Barretto <eduardo.barretto@canonical.com>
openjpeg2 (2.3.0-2build0.18.04.1) bionic-security; urgency=medium
* SECURITY UPDATE: Sync from Debian
2019-03-10 - Mathieu Malaterre <malat@debian.org>
openjpeg2 (2.3.0-2) unstable; urgency=high
[ Hugo Lefeuvre ]
* CVE-2017-17480: stack-based buffer overflow in the pgxtovolume function in
jp3d/convert.c (Closes: #884738).
* CVE-2018-14423: division-by-zero in pi_next_pcrl, pi_next_cprl, and
pi_next_rpcl in lib/openjp3d/pi.c (Closes: #904873).
* CVE-2018-18088: null pointer dereference in imagetopnm in jp2/convert.c
(Closes: #910763).
* CVE-2018-5785: integer overflow caused by an out-of-bounds left shift in the
opj_j2k_setup_encoder function (openjp2/j2k.c) (Closes: #888533).
* CVE-2018-6616: excessive iteration in the opj_t1_encode_cblks function of
openjp2/t1.c (Closes: #889683).
[ Mathieu Malaterre ]
* Add Hugo as Uploader
2018-12-02 - gregor herrmann <gregoa@debian.org>
openjpeg2 (2.3.0-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix "FTBFS with Java 9 due to -source/-target only":
apply patch by Markus Koschany to build with Java 9 or later.
(Closes: #873997)
2017-10-16 - Mathieu Malaterre <malat@debian.org>
openjpeg2 (2.3.0-1) unstable; urgency=medium
* New upstream release. Closes: #877758
* Drop explicit -dbg package. Closes: #877676
* Fix CVE-2017-14041. Closes: #874115
* Fix CVE-2017-14151. Closes: #874430
* Fix CVE-2017-14152. Closes: #874431
2017-10-03 - Mathieu Malaterre <malat@debian.org>
openjpeg2 (2.2.0-2) unstable; urgency=medium
* Fix changelog. Closes: #876535
* Provide openjpeg-2.1 compat symlinks:
+ usr/include/openjpeg-2.1
+ usr/lib/$(DEB_HOST_MULTIARCH)/openjpeg-2.1
2017-09-22 - Mathieu Malaterre <malat@debian.org>
openjpeg2 (2.2.0-1) unstable; urgency=medium
* New upstream release. Closes: #872041
* Fix CVE-2016-9113. Closes: #844552
* Fix CVE-2016-9114. Closes: #844553
* Fix CVE-2016-9115. Closes: #844554
* Fix CVE-2016-9116. Closes: #844555
* Fix CVE-2016-9117. Closes: #844556
2017-08-12 - Moritz Muehlenhoff <jmm@debian.org>
openjpeg2 (2.1.2-1.3) unstable; urgency=medium
* Fix FTFBS (Closes: #871905)
2017-08-11 - Moritz Muehlenhoff <jmm@debian.org>
openjpeg2 (2.1.2-1.2) unstable; urgency=medium
* Non-maintainer upload
* Fix CVE-2016-1626, CVE-2016-1628, CVE-2016-5152, CVE-2016-9112 and
CVE-2016-9118.patch
2017-01-22 - Salvatore Bonaccorso <carnil@debian.org>
openjpeg2 (2.1.2-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Add CVE-2016-9572_CVE-2016-9573.patch patch.
CVE-2016-9572: NULL pointer dereference in input decoding
CVE-2016-9573: Heap out-of-bounds read due to insufficient check in
imagetopnm(). (Closes: #851422)
2016-09-29 - Mathieu Malaterre <malat@debian.org>
openjpeg2 (2.1.2-1) unstable; urgency=medium
* New upstream. Closes: #839120
* Fix CVE-2016-7163. Closes: #837604
* Fix CVE-2016-7445. Closes: #838690
* Remove patches applied upstream:

See Also

Package Description
libopenjpip7_2.3.0-2build0.18.04.1_amd64.deb JPEG 2000 Interactive Protocol
liboss4-salsa-asound2_4.2-build2010-5ubuntu3~18.04.1_amd64.deb OSS to Alsa compatibility library - binary compatibility symlink
liboss4-salsa2_4.2-build2010-5ubuntu3~18.04.1_amd64.deb OSS to Alsa compatibility library
libostree-1-1_2018.8-0ubuntu0.2_amd64.deb content-addressed filesystem for operating system binaries (library)
libostree-dev_2018.8-0ubuntu0.2_amd64.deb Development files for the libostree library
libostree-doc_2018.8-0ubuntu0.2_all.deb Development documentation for the libostree library
liboxygenstyle5-5_5.12.8-0ubuntu0.1_amd64.deb style library for the Oxygen desktop theme
liboxygenstyleconfig5-5_5.12.8-0ubuntu0.1_amd64.deb style library configuration for the Oxygen desktop theme
libp11-kit-gnome-keyring_3.28.0.2-1ubuntu1.18.04.1_amd64.deb GNOME keyring module for PKCS#11 (transitional package)
libpam-cgfs_3.0.3-0ubuntu1~18.04.1_amd64.deb PAM module for managing cgroups for LXC
libpam-fscrypt_0.2.2-0ubuntu2.1_amd64.deb PAM module for Linux filesystem encryption
libpam-kwallet-common_5.12.8-0ubuntu0.1_all.deb KWallet integration with PAM (common files)
libpam-kwallet4_5.12.8-0ubuntu0.1_amd64.deb KWallet (KDE 4) integration with PAM
libpam-kwallet5_5.12.8-0ubuntu0.1_amd64.deb KWallet (Kf5) integration with PAM
libpango1.0-0_1.40.14-1ubuntu0.1_amd64.deb Layout and rendering of internationalized text (transitional package)
Advertisement
Advertisement